## knowit-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( knowit )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H  )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## knowit-trinity 3.5.13.2

=== debian/changelog ===
knowit-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:33:02 +0200

knowit-trinity (0.10-0ubuntu4) karmic; urgency=low

  * Added aRts support
  * Karmic upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 29 Oct 2009 21:23:00 -0600

knowit (0.10-0ubuntu3) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <awen@awen.dk>  Tue, 24 Mar 2009 19:00:23 +0100

knowit (0.10-0ubuntu2) hardy; urgency=low

  * debian/watch:
    + Update filename extension from .gz to .bz2 (LP: #180121).
  * debian/rules:
    + Modify dh_iconcache to dh_icons.
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).
    + Add Homepage field and remove it from Long Description.
    + Modify Maintainer value to match the DebianMaintainerField specification.

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 03 Jan 2008 17:36:43 +0000

knowit (0.10-0ubuntu1) edgy; urgency=low

  * Initial release

 -- Lorenzo Villani <arbiter@arbiterlab.net>  Thu, 24 Aug 2006 11:06:54 +0200

=== debian/control ===
Source: knowit-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
Build-Depends: debhelper (>= 5), quilt, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://knowit.sourceforge.net/

Package: knowit-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: Tool for managing notes [Trinity]
 KnowIt is a tool for managing notes which are organized in
 tree-like hierarchy. It is similar to TuxCards,
 but KDE-based, and requires Trinity.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/trinity --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	-$(MAKE) distclean
	-rm -R $(CURDIR)/admin/CVS

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_icons
	$(MAKE) install DESTDIR=$(CURDIR)/debian/knowit-trinity
	mkdir -p $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applications/kde
	mv $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applnk/Applications/knowit.desktop $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applications/kde/knowit.desktop
	rm -r $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applnk

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman $(CURDIR)/debian/knowit.1
	mv debian/knowit-trinity/usr/share/man debian/knowit-trinity/opt/trinity/share/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## knowit-trinity 14.0.4

=== debian/changelog ===
knowit-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:28:46 +0200

=== debian/control ===
Source: knowit-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://knowit.sourceforge.net/

Package: knowit-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: knowit-kde3 (<< 4:14.0.0~), knowit-trinity (<< 4:14.0.0~)
Breaks: knowit-kde3 (<< 4:14.0.0~), knowit-trinity (<< 4:14.0.0~)
Description: Tool for managing notes [Trinity]
 KnowIt is a tool for managing notes which are organized in
 tree-like hierarchy. It is similar to TuxCards,
 but TDE-based, and requires Trinity.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -25,14 +25,21 @@
 	CFLAGS += -O2
 endif
 
-config.status: configure
+config.status:
 	dh_testdir
 
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
+	cp -p /usr/share/misc/config.sub admin/config.sub
+	cp -p /usr/share/misc/config.guess admin/config.guess
 	
 	make -f admin/Makefile.common cvs
 	touch debian/stamp-bootstrap
@@ -52,16 +59,7 @@
 	dh_testroot
 	rm -f build-stamp 
 
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
-	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
-	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
-	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
-	
-	make -f admin/Makefile.common cvs
-	touch debian/stamp-bootstrap
-
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	-rm -R $(CURDIR)/admin/CVS
 
 	dh_clean 
@@ -73,8 +71,8 @@
 	dh_installdirs
 	dh_icons
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/knowit-trinity
-	mkdir -p $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applications/kde
-	mv $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applnk/Applications/knowit.desktop $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applications/kde/knowit.desktop
+	mkdir -p $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applications/tde
+	mv $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applnk/Applications/knowit.desktop $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applications/tde/knowit.desktop
 	rm -r $(CURDIR)/debian/knowit-trinity/opt/trinity/share/applnk
 
 # Build architecture-independent files here.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://sf.net/knowit/knowit-(.*)\.tar\.bz2

## knowit-trinity 14.0.5

=== debian/changelog ===
knowit-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:48:19 +0200

## knowit-trinity 14.0.6

=== debian/changelog ===
knowit-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
-Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knowit.sourceforge.net/

## knowit-trinity 14.0.8

=== debian/changelog ===
knowit-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knowit.sourceforge.net/

## knowit-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( knowit )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -41,15 +41,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support"                       OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                             )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all"           ON )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks
@@ -69,8 +69,8 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== debian/changelog ===
knowit-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:37:01 +0200

## knowit-trinity 14.0.10

=== debian/changelog ===
knowit-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: knowit-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://knowit.sourceforge.net/

Package: knowit-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: knowit-trinity (<< 4:14.0.0~)
Breaks: knowit-trinity (<< 4:14.0.0~)
Description: Tool for managing notes [Trinity]
 KnowIt is a tool for managing notes which are organized in
 tree-like hierarchy. It is similar to TuxCards,
 but TDE-based, and requires Trinity.

## knowit-trinity 14.0.11

=== debian/changelog ===
knowit-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 14:42:26 +0200

## knowit-trinity 14.0.12

=== debian/changelog ===
knowit-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:42 +0100

## knowit-trinity 14.0.13

=== debian/changelog ===
knowit-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Jun 2022 11:53:52 +0200

## knowit-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( knowit )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths
@@ -69,8 +72,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
knowit-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## knowit-trinity 14.1.1

=== debian/changelog ===
knowit-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 14:24:43 +0200

## knowit-trinity 14.1.2

=== debian/changelog ===
knowit-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:47 +0200

## knowit-trinity 14.1.3

=== debian/changelog ===
knowit-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:22:15 +0200

## knowit-trinity 14.1.4

=== debian/changelog ===
knowit-trinity (4:14.1.4-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knowit.sourceforge.net/

## knowit-trinity 14.1.5~pre0

=== debian/changelog ===
knowit-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 8a376c8b5eba45832e8cfd708428a4b7d0fefd25
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knowit-trinity 14.1.5~pre1

=== debian/changelog ===
knowit-trinity (4:14.1.5~pre1-0raspbian13.0.0+3) raspbian-trixie; urgency=low

  * Automated git build for ae9235eff90f73248b68ca941ea0868f512a0a22
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 22:36:54 +0100

## knowit-trinity 14.1.5

=== debian/changelog ===
knowit-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Nov 2025 22:18:40 +0100

=== debian/control ===
Source: knowit-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Lorenzo Villani <arbiter@arbiterlab.net>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://knowit.sourceforge.net/

Package: knowit-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: knowit-kde3 (<< 4:14.0.0~), knowit-trinity (<< 4:14.0.0~)
Breaks: knowit-kde3 (<< 4:14.0.0~), knowit-trinity (<< 4:14.0.0~)
Description: Tool for managing notes [Trinity]
 KnowIt is a tool for managing notes which are organized in
 tree-like hierarchy. It is similar to TuxCards,
 but TDE-based, and requires Trinity.

## knowit-trinity 14.1.6~pre0

=== debian/changelog ===
knowit-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3da8daac916d9f0d13e6d07029c45cefd1f82040
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Nov 2025 22:18:40 +0100

## knowit-trinity 14.1.6~pre1

=== debian/changelog ===
knowit-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 37cecc470537239630005cf1f1c7ab43b775ec7d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:54:34 +0100

## knowit-trinity 14.1.6~pre3

=== debian/changelog ===
knowit-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 20d4f9b4be80c8df417f6d0de781ddf298402a8a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 12:50:57 +0100

## knowit-trinity 14.2.0~pre29

=== debian/changelog ===
knowit-trinity (4:14.2.0~pre29-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 44f9e1431bdbe91e8763ee7c356b36a256625e48
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## knowit-trinity 14.2.0~pre30

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### knowit (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp
        knowit.cpp
        notes.cpp
        knowittree.cpp
        knowitlinks.cpp
        knowittray.cpp
        knowitpref.cpp
        knowitlink.cpp
        knowitapp.cpp
        knowitchooser.cpp
        knowitedit.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES knowitui.rc tips
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

install(
    FILES x-${PROJECT_NAME}.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
)

=== debian/changelog ===
knowit-trinity (4:14.2.0~pre30-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for c4ed6e9194eb27947abde4b0dd60af73ecc66ab6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 15:17:08 +0100

## knowit-trinity 14.2.0~pre35

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
knowit-trinity (4:14.2.0~pre35-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 74c47f4757cdef5c035d8e04046e8269e13202a9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Nov 2025 16:58:22 +0100

## knowit-trinity 14.2.0~pre36

=== debian/changelog ===
knowit-trinity (4:14.2.0~pre36-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 458a5b5266c16ab97f446a155ca61f2802c18a63
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:16 +0100

## knowit-trinity 14.2.0~pre39

=== debian/changelog ===
knowit-trinity (4:14.2.0~pre39-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1a3f875b4379d94208819bf5f9cabc0739f9525d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knowit

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 12:47:08 +0100
